Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.sort
Class SortRowsData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.sort.SortRowsData

All Implemented Interfaces:
  StepDataInterface

    public class SortRowsData

extends BaseStepData
implements StepDataInterface

Since:
  24-jan-2005
Author:
  Matt

Field Summary
`List<Object[]>` | `buffer`
`List<Integer>` | `bufferSizes`
`Comparator<RowTempFile>` | `comparator`
`boolean` | `compressFiles`
`boolean[]` | `convertKeysToNative`
`List<DataInputStream>` | `dis`
`int[]` | `fieldnrs`
`org.apache.commons.vfs.FileObject` | `fil`
`List<org.apache.commons.vfs.FileObject>` | `files`
`List<InputStream>` | `fis`
`int` | `freeCounter`
`int` | `freeMemoryPct`
`int` | `freeMemoryPctLimit`
`int` | `getBufferIndex`
`List<GZIPInputStream>` | `gzis`
`int` | `memoryReporting`
`int` | `minSortSize`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`List<Object[]>` | `rowbuffer`
`int` | `sortSize`
`List<RowTempFile>` | `tempRows`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`SortRowsData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### files

    public List<org.apache.commons.vfs.FileObject> files

### buffer

    public List<Object[]> buffer

### getBufferIndex

    public int getBufferIndex

### fis

    public List<InputStream> fis

### gzis

    public List<GZIPInputStream> gzis

### dis

    public List<DataInputStream> dis

### rowbuffer

    public List<Object[]> rowbuffer

### bufferSizes

    public List<Integer> bufferSizes

### tempRows

    public List<RowTempFile> tempRows

### fieldnrs

    public int[] fieldnrs

### fil

    public org.apache.commons.vfs.FileObject fil

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### sortSize

    public int sortSize

### compressFiles

    public boolean compressFiles

### convertKeysToNative

    public boolean[] convertKeysToNative

### comparator

    public Comparator<RowTempFile> comparator

### freeCounter

    public int freeCounter

### freeMemoryPct

    public int freeMemoryPct

### minSortSize

    public int minSortSize

### freeMemoryPctLimit

    public int freeMemoryPctLimit

### memoryReporting

    public int memoryReporting

Constructor Detail

### SortRowsData

    public SortRowsData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD